#! /bin/sh
# Copyright (C) 2002 Ensim Corporation. All Rights Reserved.
#

# PATH
#
PATH=.:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:
export PATH

# command definitions
#
AWK=awk
CAT=cat
LINUX=linux

export AWK
export CAT
export LINUX

# coordinates
#
KSGENDIR=`pwd`
export KSGENDIR

# Are we root?
#
#uid=`$AWK '/[Uu][Ii][Dd]/ {print $2}' /proc/self/status`
uid=`id -u`
if [ X"$uid" = X"" ] || [ ! $uid -eq "0" ]
then
    echo "*** You need to be root. Exiting."
    exit 255
fi

# Utlities
#
. $KSGENDIR/os.dep
. $KSGENDIR/lib/config

F_display_copyright
echo "This will prepare a custom RedHat Linux installation floppy ."
F_display_warning

_q_choice="Webppliance"
_q_packages="$KSGENDIR/lib/data/wppackages.dat" 
_q_post_kscreat="post_kscreate_lwp"
_q_product="wpsetup.sh"
_q_xmlparserurl=$_q_wpparserurl
_q_xmlurl=$_q_wpxmlurl
_q_installfileurl=$_q_wpinstallfileurl
_q_installfile=$_q_wpinstallfile

echo ""
echo "   You need to create an OS installation floppy ."
echo "   The floppy generated by this program, will install webppliance "
echo "   after compatible RedHat Linux installation on the target machine."
echo ""
echo -n "Press <ENTER> to continue, or ^C to abort."
read _q_anykey
echo ""
echo "Downloading the lists of http and ftp sites having the RedHat installation tree from ftp.ensim.com ..." 
wget -t 5 -N --passive-ftp -q $_q_ftpdata --directory-prefix=$KSGENDIR/lib/data
wget -t 5 -N --passive-ftp -q $_q_httpdata --directory-prefix=$KSGENDIR/lib/data
. $KSGENDIR/ksgen.sh

# __END__
